//		Copyright © 1997–2000  Jens Kilian
//
//		This program is free software; you can redistribute it and/or modify
//		it under the terms of the GNU General Public License as published by
//		the Free Software Foundation; either version 1, or (at your option)
//		any later version.
//
//		This program is distributed in the hope that it will be useful,
//		but WITHOUT ANY WARRANTY; without even the implied warranty of
//		MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	See the
//		GNU General Public License for more details.
//
//		You should have received a copy of the GNU General Public License
//		along with this program; if not, write to the Free Software
//		Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

//		A class representing a random closed knot.

#ifndef CLOSEDKNOT_H
#define CLOSEDKNOT_H

#include <View.h>

#include "RandomKnot.h"
class SamhainKnotPreferences;

class ClosedKnot : public RandomKnot
{
	typedef RandomKnot inherited;
public:
	ClosedKnot(BView *pView, const SamhainKnotPreferences &preferences);
	virtual ~ClosedKnot(void);

	virtual bool Draw(void);

private:
	ClosedKnot(const ClosedKnot &orig);
	ClosedKnot &operator =(ClosedKnot &orig);
};

#endif
